## qt6-3d 6.4.2+dfsg

=== CMakeLists.txt ===
# Generated from qt3d.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(Qt3D # special case
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt 3D Libraries" # special case
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

# special case begin
find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS
    Network Concurrent Widgets Qml Quick Gamepad OpenGL Multimedia)
# special case end

if(NOT TARGET Qt::Gui)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::Gui\" is not met.")
    return()
endif()
if(NOT TARGET Qt::Network)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::Network\" is not met.")
    return()
endif()
if(WASM OR NOT QT_FEATURE_opengl)
    message(NOTICE "Skipping the build as the condition \"QT_FEATURE_opengl AND NOT WASM\" is not met.")
    return()
endif()

# special case begin
# TODO: Fix warnings and remove this (can't remove now because of QTBUG-99248)
set(QT_REPO_NOT_WARNINGS_CLEAN TRUE)
# special case end

qt_build_repo()

=== config.tests/assimp/CMakeLists.txt ===
# Generated from assimp.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_assimp LANGUAGES C CXX)

if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
endif()
if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
endif()

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== src/animation/CMakeLists.txt ===
# Generated from animation.pro.

#####################################################################
## 3DAnimation Module:
#####################################################################

qt_internal_add_module(3DAnimation
    SOURCES
        animationlogging.cpp animationlogging_p.h
        backend/abstractevaluateclipanimatorjob.cpp backend/abstractevaluateclipanimatorjob_p.h
        backend/additiveclipblend.cpp backend/additiveclipblend_p.h
        backend/animationclip.cpp backend/animationclip_p.h
        backend/animationutils.cpp backend/animationutils_p.h
        backend/backendnode.cpp backend/backendnode_p.h
        backend/bezierevaluator.cpp backend/bezierevaluator_p.h
        backend/blendedclipanimator.cpp backend/blendedclipanimator_p.h
        backend/buildblendtreesjob.cpp backend/buildblendtreesjob_p.h
        backend/channelmapper.cpp backend/channelmapper_p.h
        backend/channelmapping.cpp backend/channelmapping_p.h
        backend/clipanimator.cpp backend/clipanimator_p.h
        backend/clipblendnode.cpp backend/clipblendnode_p.h
        backend/clipblendnodevisitor.cpp backend/clipblendnodevisitor_p.h
        backend/clipblendvalue.cpp backend/clipblendvalue_p.h
        backend/clock.cpp backend/clock_p.h
        backend/evaluateblendclipanimatorjob.cpp backend/evaluateblendclipanimatorjob_p.h
        backend/evaluateclipanimatorjob.cpp backend/evaluateclipanimatorjob_p.h
        backend/fcurve.cpp backend/fcurve_p.h
        backend/findrunningclipanimatorsjob.cpp backend/findrunningclipanimatorsjob_p.h
        backend/functionrangefinder.cpp backend/functionrangefinder_p.h
        backend/gltfimporter.cpp backend/gltfimporter_p.h
        backend/handle_types_p.h
        backend/handler.cpp backend/handler_p.h
        backend/keyframe_p.h
        backend/lerpclipblend.cpp backend/lerpclipblend_p.h
        backend/loadanimationclipjob.cpp backend/loadanimationclipjob_p.h
        backend/managers.cpp backend/managers_p.h
        backend/nodefunctor_p.h
        backend/skeleton.cpp backend/skeleton_p.h
        frontend/qabstractanimation.cpp frontend/qabstractanimation.h frontend/qabstractanimation_p.h
        frontend/qabstractanimationclip.cpp frontend/qabstractanimationclip.h frontend/qabstractanimationclip_p.h
        frontend/qabstractchannelmapping.cpp frontend/qabstractchannelmapping.h frontend/qabstractchannelmapping_p.h
        frontend/qabstractclipanimator.cpp frontend/qabstractclipanimator.h frontend/qabstractclipanimator_p.h
        frontend/qabstractclipblendnode.cpp frontend/qabstractclipblendnode.h frontend/qabstractclipblendnode_p.h
        frontend/qadditiveclipblend.cpp frontend/qadditiveclipblend.h frontend/qadditiveclipblend_p.h
        frontend/qanimationaspect.cpp frontend/qanimationaspect.h frontend/qanimationaspect_p.h
        frontend/qanimationcallback.cpp frontend/qanimationcallback.h
        frontend/qanimationclip.cpp frontend/qanimationclip.h frontend/qanimationclip_p.h
        frontend/qanimationclipdata.cpp frontend/qanimationclipdata.h
        frontend/qanimationcliploader.cpp frontend/qanimationcliploader.h frontend/qanimationcliploader_p.h
        frontend/qanimationcontroller.cpp frontend/qanimationcontroller.h frontend/qanimationcontroller_p.h
        frontend/qanimationgroup.cpp frontend/qanimationgroup.h frontend/qanimationgroup_p.h
        frontend/qblendedclipanimator.cpp frontend/qblendedclipanimator.h frontend/qblendedclipanimator_p.h
        frontend/qcallbackmapping.cpp frontend/qcallbackmapping.h frontend/qcallbackmapping_p.h
        frontend/qchannel.cpp frontend/qchannel.h
        frontend/qchannelcomponent.cpp frontend/qchannelcomponent.h
        frontend/qchannelmapper.cpp frontend/qchannelmapper.h frontend/qchannelmapper_p.h
        frontend/qchannelmapping.cpp frontend/qchannelmapping.h frontend/qchannelmapping_p.h
        frontend/qclipanimator.cpp frontend/qclipanimator.h frontend/qclipanimator_p.h
        frontend/qclipblendvalue.cpp frontend/qclipblendvalue.h frontend/qclipblendvalue_p.h
        frontend/qclock.cpp frontend/qclock.h frontend/qclock_p.h
        frontend/qkeyframe.cpp frontend/qkeyframe.h
        frontend/qkeyframeanimation.cpp frontend/qkeyframeanimation.h frontend/qkeyframeanimation_p.h
        frontend/qlerpclipblend.cpp frontend/qlerpclipblend.h frontend/qlerpclipblend_p.h
        frontend/qmorphinganimation.cpp frontend/qmorphinganimation.h frontend/qmorphinganimation_p.h
        frontend/qmorphtarget.cpp frontend/qmorphtarget.h frontend/qmorphtarget_p.h
        frontend/qskeletonmapping.cpp frontend/qskeletonmapping.h frontend/qskeletonmapping_p.h
        frontend/qvertexblendanimation.cpp frontend/qvertexblendanimation.h frontend/qvertexblendanimation_p.h
        job_common_p.h
        qt3danimation_global.h qt3danimation_global_p.h
    DEFINES
        QT3DANIMATION_LIBRARY
    INCLUDE_DIRECTORIES
        backend
        frontend
    LIBRARIES
        Qt::CorePrivate
        Qt::3DCorePrivate
        Qt::3DRenderPrivate
    PUBLIC_LIBRARIES
        Qt::3DCore
        Qt::3DRender
        Qt::Core
        Qt::Gui
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::3DCorePrivate
        Qt::3DRenderPrivate
)

#### Keys ignored in scope 1:.:.:animation.pro:<TRUE>:
# MODULE = "3DAnimation"

=== examples/qt3d/basicshapes-cpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(basicshapes-cpp LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 REQUIRED COMPONENTS 3DCore 3DExtras 3DInput 3DRender Core Gui Widgets)

qt_add_executable(basicshapes-cpp
    main.cpp
    scenemodifier.cpp scenemodifier.h
)

set_target_properties(basicshapes-cpp PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(basicshapes-cpp PUBLIC
    Qt::3DCore
    Qt::3DExtras
    Qt::3DInput
    Qt::3DRender
    Qt::Core
    Qt::Gui
    Qt::Widgets
)

install(TARGETS basicshapes-cpp
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/qt3d/lights/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(lights LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 REQUIRED COMPONENTS 3DCore 3DInput 3DQuick 3DQuickExtras 3DRender Core Gui Qml Quick)

qt_add_executable(lights
    main.cpp
)

set_target_properties(lights PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(lights PUBLIC
    Qt::3DCore
    Qt::3DInput
    Qt::3DQuick
    Qt::3DQuickExtras
    Qt::3DRender
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
)

# Resources:
set(lights_resource_files
    "PlaneEntity.qml"
    "SimpleForwardRenderer.qml"
    "main.qml"
)

qt6_add_resources(lights "lights"
    PREFIX
        "/"
    FILES
        ${lights_resource_files}
)

set(obj_resource_files
    "../exampleresources/assets/obj/ball.obj"
    "../exampleresources/assets/obj/material-sphere.obj"
    "../exampleresources/assets/obj/plane-10x10.obj"
    "../exampleresources/assets/obj/toyplane.obj"
    "../exampleresources/assets/obj/trefoil.obj"
)

qt6_add_resources(lights "obj"
    PREFIX
        "/"
    BASE
        "../exampleresources"
    FILES
        ${obj_resource_files}
)

qt6_add_big_resources(big_resources ../exampleresources/textures.qrc)
target_sources(lights PRIVATE ${big_resources})

install(TARGETS lights
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/qt3d/simple-cpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(simple-cpp LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 REQUIRED COMPONENTS 3DCore 3DExtras 3DInput 3DRender Core Gui)

qt_add_executable(simple-cpp
    main.cpp
    orbittransformcontroller.cpp orbittransformcontroller.h
)

set_target_properties(simple-cpp PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(simple-cpp PUBLIC
    Qt::3DCore
    Qt::3DExtras
    Qt::3DInput
    Qt::3DRender
    Qt::Core
    Qt::Gui
)

install(TARGETS simple-cpp
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/qt3d/simplecustommaterial/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(simplecustommaterial LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 REQUIRED COMPONENTS 3DRender Core Gui Qml Quick)

qt_add_executable(simplecustommaterial
    main.cpp
)

set_target_properties(simplecustommaterial PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(simplecustommaterial PUBLIC
    Qt::3DRender
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
)

# Resources:
set(qml_resource_files
    "PlaneModel.qml"
    "SceneRoot.qml"
    "SimpleMaterial.qml"
    "main.qml"
)

qt6_add_resources(simplecustommaterial "qml"
    PREFIX
        "/"
    FILES
        ${qml_resource_files}
)

set(shaders_resource_files
    "shaders/es2/simpleColor.frag"
    "shaders/es2/simpleColor.vert"
    "shaders/gl3/simpleColor.frag"
    "shaders/gl3/simpleColor.vert"
    "shaders/gl45/simpleColor.frag"
    "shaders/gl45/simpleColor.vert"
)

qt6_add_resources(simplecustommaterial "shaders"
    PREFIX
        "/"
    FILES
        ${shaders_resource_files}
)

install(TARGETS simplecustommaterial
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/qt3d/widgets-scene3d/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(widgets-scene3d LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 REQUIRED COMPONENTS 3DInput Core Gui Qml Quick QuickWidgets Widgets)

qt_add_executable(widgets-scene3d
    main.cpp
)

set_target_properties(widgets-scene3d PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(widgets-scene3d PUBLIC
    Qt::3DInput
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::QuickWidgets
    Qt::Widgets
)

# Resources:
set_source_files_properties("../scene3d/AnimatedEntity.qml"
    PROPERTIES QT_RESOURCE_ALIAS "AnimatedEntity.qml"
)

set_source_files_properties("../scene3d/main.qml"
    PROPERTIES QT_RESOURCE_ALIAS "main.qml"
)

set(widgets-scene3d_resource_files
    "../scene3d/AnimatedEntity.qml"
    "../scene3d/main.qml"
)

qt6_add_resources(widgets-scene3d "widgets-scene3d"
    PREFIX
        "/"
    FILES
        ${widgets-scene3d_resource_files}
)

install(TARGETS widgets-scene3d
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/quick3d/quick3danimation/CMakeLists.txt ===
# Generated from quick3danimation.pro.

#####################################################################
## Qt::3DQuickAnimation Module:
#####################################################################

qt_internal_add_module(3DQuickAnimation
    SOURCES
        items/quick3danimationcontroller.cpp items/quick3danimationcontroller_p.h
        items/quick3danimationgroup.cpp items/quick3danimationgroup_p.h
        items/quick3dchannelmapper.cpp items/quick3dchannelmapper_p.h
        items/quick3dkeyframeanimation.cpp items/quick3dkeyframeanimation_p.h
        items/quick3dmorphinganimation.cpp items/quick3dmorphinganimation_p.h
        items/quick3dmorphtarget.cpp items/quick3dmorphtarget_p.h
        items/quick3dvertexblendanimation.cpp items/quick3dvertexblendanimation_p.h
        qt3dquickanimation_global.cpp qt3dquickanimation_global.h qt3dquickanimation_global_p.h
        qt3dquickanimationnodefactory.cpp qt3dquickanimationnodefactory_p.h
    INCLUDE_DIRECTORIES
        items
    LIBRARIES
        Qt::3DCorePrivate
        Qt::3DQuickPrivate
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::QmlPrivate
    PUBLIC_LIBRARIES
        Qt::3DAnimation
        Qt::3DCore
        Qt::3DQuick
        Qt::3DRender
        Qt::Core
        Qt::Gui
        Qt::Qml
    PRIVATE_MODULE_INTERFACE
        Qt::3DCorePrivate
        Qt::3DQuickPrivate
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::QmlPrivate
)

#### Keys ignored in scope 1:.:.:quick3danimation.pro:<TRUE>:
# MODULE = "3dquickanimation"

## Scopes:
#####################################################################

qt_internal_extend_target(3DQuickAnimation CONDITION gcov
    COMPILE_OPTIONS
        -fprofile-arcs
        -ftest-coverage
    LINK_OPTIONS
        "-fprofile-arcs"
        "-ftest-coverage"
)

=== src/quick3d/quick3dscene2d/CMakeLists.txt ===
# Generated from quick3dscene2d.pro.

#####################################################################
## Qt::3DQuickScene2D Module:
#####################################################################

qt_internal_add_module(3DQuickScene2D
    SOURCES
        items/qscene2d.cpp items/qscene2d.h items/qscene2d_p.h
        items/qt3dquick3dscene2d.cpp items/qt3dquick3dscene2d_p.h
        items/scene2d.cpp items/scene2d_p.h
        items/scene2devent_p.h
        items/scene2dmanager.cpp items/scene2dmanager_p.h
        items/scene2dsharedobject.cpp items/scene2dsharedobject_p.h
        qt3dquickscene2d_global.cpp qt3dquickscene2d_global.h qt3dquickscene2d_global_p.h
        qt3dquickscene2d_logging.cpp qt3dquickscene2d_logging_p.h
        qt3dquickscene2dnodefactory.cpp qt3dquickscene2dnodefactory_p.h
    INCLUDE_DIRECTORIES
        items
    LIBRARIES
        Qt::3DCorePrivate
        Qt::3DQuickPrivate
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::QmlPrivate
    PUBLIC_LIBRARIES
        Qt::3DCore
        Qt::3DQuick
        Qt::3DRender
        Qt::Core
        Qt::Gui
        Qt::Qml
    PRIVATE_MODULE_INTERFACE
        Qt::3DCorePrivate
        Qt::3DQuickPrivate
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::QmlPrivate
)

#### Keys ignored in scope 1:.:.:quick3dscene2d.pro:<TRUE>:
# MODULE = "3dquickscene2d"

## Scopes:
#####################################################################

qt_internal_extend_target(3DQuickScene2D CONDITION gcov
    COMPILE_OPTIONS
        -fprofile-arcs
        -ftest-coverage
    LINK_OPTIONS
        "-fprofile-arcs"
        "-ftest-coverage"
)

=== tests/manual/bigscene-cpp/CMakeLists.txt ===
# Generated from bigscene-cpp.pro.

#####################################################################
## bigscene-cpp Binary:
#####################################################################

qt_internal_add_manual_test(bigscene-cpp
    GUI
    SOURCES
        entity.cpp entity.h
        main.cpp
    PUBLIC_LIBRARIES
        Qt::3DCore
        Qt::3DExtras
        Qt::3DInput
        Qt::3DRender
        Qt::Gui
)

## Scopes:
#####################################################################

=== tests/manual/boundingvolumes/CMakeLists.txt ===
# Generated from boundingvolumes.pro.

#####################################################################
## boundingvolumes Binary:
#####################################################################

qt_internal_add_manual_test(boundingvolumes
    GUI
    SOURCES
        main.cpp
    PUBLIC_LIBRARIES
        Qt::3DInput
        Qt::Gui
        Qt::Qml
        Qt::Quick
)

# Resources:
set(boundingvolumes_resource_files
    "AnimatedEntity.qml"
    "main.qml"
)

qt_internal_add_resource(boundingvolumes "boundingvolumes"
    PREFIX
        "/"
    FILES
        ${boundingvolumes_resource_files}
)


#### Keys ignored in scope 1:.:.:boundingvolumes.pro:<TRUE>:
# OTHER_FILES = "AnimatedEntity.qml" "main.qml"

## Scopes:
#####################################################################

=== debian/changelog ===
qt6-3d (6.4.2+dfsg-6build3) noble; urgency=medium

  * No-change rebuild against libqt6core6t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 17:03:22 +0100

qt6-3d (6.4.2+dfsg-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:52:42 +0000

qt6-3d (6.4.2+dfsg-6build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:57:56 +0000

qt6-3d (6.4.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Add patch to avoid compiling planets-qml example. It fails to build from
    source on 32 bits archs and was discarded by upstream in Qt 6.5.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 19:36:13 -0300

qt6-3d (6.4.2+dfsg-5) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 13:25:03 -0300

qt6-3d (6.4.2+dfsg-4) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove dependency on libqt6opengl6-dev as it has been merged into
    qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation and examples packages (Closes: #1042329).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 28 Jul 2023 20:00:28 -0300

qt6-3d (6.4.2+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne
    (Closes: #1034410).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jun 2023 00:27:07 +0200

=== debian/control ===
Source: qt6-3d
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               libassimp-dev (>= 5.1.1~),
               libgl-dev,
               libgl1-mesa-dri <!nocheck>,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick3d-spatialaudio (>= 6.4.2~),
               qt6-base-dev (>= 6.4.2+dfsg~),
               qt6-base-private-dev (>= 6.4.2+dfsg~),
               qt6-declarative-dev (>= 6.4.2+dfsg~),
               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
               qt6-multimedia-dev (>= 6.4.2~),
               qt6-shadertools-dev (>= 6.4.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-3d
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-3d.git
Rules-Requires-Root: no

Package: libqt63dcore6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Core library.

Package: libqt63dquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Quick library.

Package: libqt63dquickrender6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick Renderer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Quick Renderer library.

Package: libqt63dinput6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Input library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Input library.

Package: libqt63drender6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Renderer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Renderer library.

Package: libqt63dlogic6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Logic library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Logic library.

Package: libqt63dquickinput6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick Input library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Quick input library.

Package: libqt63dquickextras6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick extras library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Quick extras library.

Package: libqt63dextras6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D extras library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D extras library.

Package: libqt63dquickscene2d6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick Scene 2D library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 2D library.

Package: libqt63danimation6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Animation library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Animation library.

Package: libqt63dquickanimation6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick Animation library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Animation library.

Package: qt6-3d-gltfsceneio-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D GL Transmission Format Scene IO plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's GLTF geometry loader, and scene import and
 export plugins.

Package: qt6-3d-assimpsceneimport-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D GL Assimp Scene Import plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's Assimp Scene Import plugin.

Package: qt6-3d-defaultgeometryloader-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 3D default geometry loader plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's default geometry loader plugin.

Package: qt6-3d-scene2d-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Scene 2D plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's Scene 2D plugin.

Package: qml6-module-qt3d-core
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Core QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Core QML module.

Package: qml6-module-qt3d-animation
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Animation QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Animation QML module.

Package: qml6-module-qt3d-extras
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Extras QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Extras QML module.

Package: qml6-module-qt3d-input
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Input QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Input QML module.

Package: qml6-module-qt3d-logic
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Logic QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Logic QML module.

Package: qml6-module-qt3d-render
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Renderer QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Renderer QML module.

Package: qml6-module-qtquick-scene3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Scene 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 3D QML module.

Package: qml6-module-qtquick-scene2d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Scene 2D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 2D QML module.

Package: qt6-3d-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt63danimation6 (= ${binary:Version}),
         libqt63dcore6 (= ${binary:Version}),
         libqt63dextras6 (= ${binary:Version}),
         libqt63dinput6 (= ${binary:Version}),
         libqt63dlogic6 (= ${binary:Version}),
         libqt63dquick6 (= ${binary:Version}),
         libqt63dquickanimation6 (= ${binary:Version}),
         libqt63dquickextras6 (= ${binary:Version}),
         libqt63dquickinput6 (= ${binary:Version}),
         libqt63dquickrender6 (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-3d 6.6.1+dfsg

=== debian/changelog ===
qt6-3d (6.6.1+dfsg-1deepin1) experimental; urgency=medium

  * Update symbols from buildlogs.
    (arch=amd64) Vector3D_SSE related stuff.

 -- Tianyu Chen <sweetyfish@deepin.org>  Tue, 26 Dec 2023 13:42:11 +0800

qt6-3d (6.6.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Update list of excluded files.
  * Bump Qt B-Ds to 6.6.1.
  * Remove redundant patch to exclude examples.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove multiple binary packages.

 -- Patrick Franz <deltaone@debian.org>  Wed, 20 Dec 2023 20:10:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt6-3d
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -14,18 +13,17 @@
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick3d-spatialaudio (>= 6.4.2~),
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
-               qt6-multimedia-dev (>= 6.4.2~),
-               qt6-shadertools-dev (>= 6.4.2~),
+               qt6-base-dev (>= 6.6.1+dfsg~),
+               qt6-base-private-dev (>= 6.6.1+dfsg~),
+               qt6-declarative-dev (>= 6.6.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
+               qt6-multimedia-dev (>= 6.6.1~),
+               qt6-shadertools-dev (>= 6.6.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-3d
@@ -56,19 +54,6 @@
  .
  This package contains Qt 6 3D Quick library.
 
-Package: libqt63dquickrender6
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: libqt63dcore6 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Description: Qt 6 3D Quick Renderer library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains Qt 6 3D Quick Renderer library.
-
 Package: libqt63dinput6
 Architecture: any
 Multi-Arch: same
@@ -108,19 +93,6 @@
  .
  This package contains Qt 6 3D Logic library.
 
-Package: libqt63dquickinput6
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: libqt63dcore6 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Description: Qt 6 3D Quick Input library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains Qt 6 3D Quick input library.
-
 Package: libqt63dquickextras6
 Architecture: any
 Multi-Arch: same
@@ -172,19 +144,6 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the Qt 6 Animation library.
-
-Package: libqt63dquickanimation6
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: libqt63dcore6 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Description: Qt 6 3D Quick Animation library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the Qt 6 Quick Animation library.
 
 Package: qt6-3d-gltfsceneio-plugin
 Architecture: any
@@ -251,6 +210,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt63dquickanimation6
+Replaces: libqt63dquickanimation6
 Description: Qt 6 3D Animation QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -273,6 +234,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt63dquickinput6
+Replaces: libqt63dquickinput6
 Description: Qt 6 3D Input QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -295,6 +258,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt63dquickrender6
+Replaces: libqt63dquickrender6
 Description: Qt 6 3D Renderer QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -333,7 +298,46 @@
          libqt63dinput6 (= ${binary:Version}),
          libqt63dlogic6 (= ${binary:Version}),
          libqt63dquick6 (= ${binary:Version}),
-         libqt63dquickanimation6 (= ${binary:Version}),
          libqt63dquickextras6 (= ${binary:Version}),
-         libqt63dquickinput6 (= ${binary:Version}),
-         libqt63dquickrender6 (= ${binary:Version}),
+         libqt63dquickscene2d6 (= ${binary:Version}),
+         libqt63drender6 (= ${binary:Version}),
+         qt6-base-dev,
+         ${misc:Depends},
+Description: Qt 6 3D - development files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the header development files used for building Qt 6
+ applications using Qt 3D library.
+
+Package: qt6-3d-doc
+Architecture: all
+Section: doc
+Depends: qt6-base-doc, ${misc:Depends},
+Multi-Arch: foreign
+Description: Qt 6 3D documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for the Qt 6 3D.
+
+Package: qt6-3d-doc-html
+Architecture: all
+Section: doc
+Depends: qt6-base-doc-html, ${misc:Depends},
+Multi-Arch: foreign
+Description: Qt 6 3D HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for the Qt 6 3D.
+
+Package: qt6-3d-doc-dev
+Architecture: all
+Section: libdevel
+Depends: qt6-base-doc-dev, ${misc:Depends},
+Multi-Arch: foreign
+Description: Qt 6 3d tags files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .

## qt6-3d 6.6.2+dfsg

=== debian/changelog ===
qt6-3d (6.6.2+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:16:50 +0200

qt6-3d (6.6.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 20:02:15 +0100

qt6-3d (6.6.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 10 Jan 2024 19:31:00 +0100

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
-               qt6-multimedia-dev (>= 6.6.1~),
-               qt6-shadertools-dev (>= 6.6.1~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-multimedia-dev (>= 6.6.2~),
+               qt6-shadertools-dev (>= 6.6.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
